<?php
ob_start();
session_start();
include_once('producao.class.php');
include_once('../include/utilitarios.php');
include_once('../class/class.mysql.php');

include_once('../class/class.email.php');
include_once('../evento/class.evento.php');
include_once('../empresa/class.empresa.php');
include_once('../picasa/class.picasa.php');
$id_empresa = $_SESSION["fild_id_empresa"];
$mysqlCom = new MysqlConnect();
extract($_REQUEST);

$Producao = new Producao();


// Ação Para Processo
if ($ax == 'Processo') {
	if (empty($id_evento))
		$id_evento = '';


	$Producao->SelectProducao($statos, $id_evento);
	$controle;
	while ($row = mysqli_fetch_object($Producao->qry)) {
		$controle++;
		$dataInicio = InverterData($row->data_inicio);
		$dataFim = ($row->data_fim == '0000-00-00') ? '' : InverterData($row->data_fim);
?>
		<div class="pnHistorico" id="pnHist<?php echo $row->id_producao ?>" style="margin-bottom: 15px;">
			<div class="ui-widget-content ui-corner-all"
				style="margin: 2px; margin-bottom: 6px; font-size: 12px">
				<div class="ui-state-default ui-corner-all" style="margin: 3px;"
					align="center">
					<strong><?php echo $row->tipo_edicao ?> - <a href="?p=evento/principal&id_evento=<?php echo $row->id_evento ?>"><?php echo $row->nome ?></a></strong> / <span
						class="ui-state-highlight ui-corner-all" style="padding: 0 .7em;">Tempo
						<span id="pnDias<?php echo $row->id_producao ?>">0</span> dias</span>
					<?php echo $row->tipo_evento ?> - <?php echo InverterData($row->data_evento) ?>
				</div>
				<div align="center" style="font-size:12px">Status <strong><?php echo $Producao->Statos($row->statos) ?></strong></div>
				<script>
					DiasCorridos('pnDias<?php echo $row->id_producao ?>', '<?php echo $dataInicio ?>', '<?php echo $dataFim ?>')
				</script>
				<a href="?p=evento/principal&id_evento=<?php echo $row->id_evento ?>">
					<div id="ft<?php echo $row->id_producao ?>" style="float:left; margin-left:5px;">
						<script>
							CarregarUmaFotoPicasa('<?php echo $row->id_evento ?>', '#ft<?php echo $row->id_producao ?>', '120', 'sim')
						</script>
					</div>
				</a>
				<div id="pb<?php echo $row->id_producao ?>" style="margin-left: 5px; margin-right: 5px; width:580px; float:right"></div>
				<div style="clear:both"></div>
				<script>
					ProgresseBar('pb<?php echo $row->id_producao ?>', '<?php echo $dataInicio ?>', '<?php echo $dataFim ?>')
				</script>

				<?php $Producao->SelectHistorico($row->id_producao);

				while ($rowH = mysqli_fetch_object($Producao->qry_ver)) {

				?>
					<div class="pnLinha" style="margin-left:10px; margin-right:10; padding:2px;">
						<span class="ui-icon <?php echo $Producao->Icones($rowH->statos) ?>" style="float: left; margin-right: .3em;"></span>
						<span style="font-size: 11px; color: #999;"><?php echo InverterData($rowH->data) . ' ' . $rowH->hora ?></span>
						<?php echo $rowH->historico ?> - <strong> <?php echo $rowH->funcionario ?> </strong><br />
					</div>
					<div style="clear:both"></div>
				<?php } ?>


				<div align="right" style="margin: 5px;">


					<?php if ($row->statos == '2') { ?>
						<button class="button small gray" id_prod="<?php echo $row->id_producao ?>" id_eve="<?php echo $row->id_evento ?>" id="btnEditar">Editar</button>
					<?php } ?>

					<?php if ($row->statos == '3') { ?>
						<button class="button small gray" id_prod="<?php echo $row->id_producao ?>" id_eve="<?php echo $row->id_evento ?>" id="btnFinalizarEdicao">Finalizar Edição</button>
					<?php } ?>

					<?php if ($row->statos == '5') { ?>
						<button class="button small gray" id_prod="<?php echo $row->id_producao ?>" id_eve="<?php echo $row->id_evento ?>" id="btnConfirmarCliente">Confirmar com Cliente</button>
					<?php } ?>

					<?php if ($row->statos == '7') { ?>
						<button class="button small gray" id_prod="<?php echo $row->id_producao ?>" id_eve="<?php echo $row->id_evento ?>" id="btnEnviarEncadernadora">Enviar p/ Encadernadora</button>
					<?php } ?>

					<?php if ($row->statos == '8') { ?>
						<button class="button small gray" id_prod="<?php echo $row->id_producao ?>" id_eve="<?php echo $row->id_evento ?>" id="btnEditar">Editar</button>
					<?php } ?>

					<?php if ($row->statos == '9') { ?>
						<button class="button small gray" id_prod="<?php echo $row->id_producao ?>" id_eve="<?php echo $row->id_evento ?>" id="btnRecebidoAlbumOK">Álbum Recebido e OK</button>
						<button class="button small red" id_prod="<?php echo $row->id_producao ?>" id_eve="<?php echo $row->id_evento ?>" id="btnRecebidoAlbumERRO">Álbum Recebido com Problema</button>
					<?php } ?>

					<?php if ($row->statos == '10') { ?>
						<button class="button small gray" id_prod="<?php echo $row->id_producao ?>" id_eve="<?php echo $row->id_evento ?>" id="btnEntregueCliente">Entregue p/ Cliente</button>
						<button class="button small red" id_prod="<?php echo $row->id_producao ?>" id_eve="<?php echo $row->id_evento ?>" id="btnRecebidoAlbumERRO">Álbum com Problema</button>
					<?php } ?>

					<?php if ($row->statos == '11') { ?>
						<button class="button small red" id_prod="<?php echo $row->id_producao ?>" id_eve="<?php echo $row->id_evento ?>" id="btnRecebidoAlbumERRO">Problema no Álbum</button>
					<?php } ?>

				</div>

			</div>


		</div>
<?php }
	if ($controle == 0)
		echo '<div align="center"><strong>' .  $Producao->Statos($statos) . '</strong> - Não foi localizado nem uma ação.</div>';
} //fim if Processo


if ($ax == 'InsertProducao') {
	//Quando Inserir a Produção tem que inserir o Historico.	
	if ($Producao->getVerDuplicidadeProducao($id_evento) == '') {
		$id_producao = $Producao->InsertProducao($id_evento, $tipo_edicao);
		$Producao->InsertHistorico('1', $id_producao, $funcionario);
	}
}


if ($ax == 'UpdateProducao') {
	$DadosJson = json_decode($Producao->UpdateProduto($id_evento, $numStatos));
	$Producao->InsertHistorico($numStatos, $DadosJson->id_producao, $funcionario, $obs . ' Dias ' . getDateDiff($DadosJson->data_inicio));
}


if ($ax == 'UpdateProducaoFull') {
	$DescFotos = '';

	//so quado o cliente não aprovar alguma foto
	if ($numStatos == 8) {
		$Producao->ListaFotoNaoEscolhida($id_evento);
		$DescFotos = 'Fotos não Aprovadas';
		while ($row = mysqli_fetch_object($Producao->qry)) {
			$DescFotos .= '<div style="margin-left:150px;">' . $row->nome_foto . '(' . $row->descricao . ')</div>';
		}
	}


	$DadosJson = json_decode($Producao->UpdateProduto($id_evento, $numStatos));
	$Producao->InsertHistorico($numMensagem, $DadosJson->id_producao, $funcionario, $obs . $DescFotos . ' Dias ' . getDateDiff($DadosJson->data_inicio));
}



if ($ax == 'UpdateProducaoX9') {
	$statos = $Producao->getStatosAtual($id_evento);
	if ($statos == 5) {
		$DadosJson = json_decode($Producao->UpdateProduto($id_evento, 6));
		$Producao->InsertHistorico('6', $DadosJson->id_producao, 'Cliente', ' Dias ' . getDateDiff($DadosJson->data_inicio));
	} else {
		$DadosJson = json_decode($Producao->UpdateProduto($id_evento, $numStatos));
		$Producao->InsertHistorico($numStatos, $DadosJson->id_producao, $funcionario, ' Dias ' . getDateDiff($DadosJson->data_inicio));
	}
}




if ($ax == 'UpdateProducaoSendEmail') {
	$EmailX9 = new Email();
	$EmpresaX9 = new Empresa();
	$EventoX9 = new Evento();
	$PicasaX9 = new Picasa();

	$EmpresaX9->SelectEmpresa($id_empresa);

	$DadosJson = json_decode($Producao->UpdateProduto($id_evento, $numStatos));
	$Producao->InsertHistorico($numStatos, $DadosJson->id_producao, $funcionario, ' Dias ' . getDateDiff($DadosJson->data_inicio));
	$contador = 0;
	$EventoX9->SelectEmail($id_evento);
	$contador++;
	while ($row = mysqli_fetch_object($EventoX9->qry)) {
		$email_cliente = $row->email;
		$emailEmpresa = $EmpresaX9->email;
		$mensagen =
			'<table width="490" border="0">
    			 <tr>
					<td colspan="3" align="center"><h2>Olá ' . $nome . ' seu Álbum já está no site</h2></td>
  				</tr>
				  <tr>
					<td width="93" align="right">Entre no Link</td>
					<td width="11">&nbsp;</td>
					<td width="372"><a href="http://vfoto.com.br/x9">Ver minha Fotos</a></td>
				  </tr>
				  <tr>
					<td width="93" align="right">Sua Senha é</td>
					<td width="11">&nbsp;</td>
					<td width="372">' . $senha . '</td>
				  </tr>
				  <tr>
				    <td colspan="3" align="center">
					<a href="http://vfoto.com.br/x9">
					<div id="pnFotoPicasa">' . $PicasaX9->PicasaUmaFotoIMG($usuario, $album, '400') . '
					</div>
					</a>
					</td>
				</tr>
				  
				</table>';

		$EmailX9->SendEmail($email_cliente, $emailEmpresa, 'Layout do Álbum já está disponível', $mensagen);
	}
}




if ($ax == 'SendEmail') {

	$EmailX9 = new Email();
	$EmpresaX9 = new Empresa();
	$EventoX9 = new Evento();
	$PicasaX9 = new Picasa();

	$EventoX9->SelectEmail($id_evento);
	$temEmail = 0;
	while ($row = mysqli_fetch_object($EventoX9->qry))
		$temEmail++;


	if ($temEmail > 0) {
		$EmpresaX9->SelectEmpresa($id_empresa);
		$Producao->QtoFotosEscolhidas($id_evento);
		while ($row = mysqli_fetch_object($Producao->qry)) {
			$qtoAmp = $row->ampliacao;
			$qtoBio = $row->bioombo;
			$qtoOut = $row->outros;
			$qtoAlbum = $row->album;
			$qtoCapa = $row->capa;
		}
		$EventoX9->Select($id_evento);
		while ($row = mysqli_fetch_object($EventoX9->qry)) {
			$nomeCliente = $row->nome;
			$website = $row->website;
		}

		$MensAuternativa = $mensagem;

		$IMG_PRINCIPAL = '<img style="border:0" src="' . $PicasaX9->PicasaUmaFotoIMG2($id_evento, '120', 'SIM') . '">';
		$BLOCO_IMG = $PicasaX9->PicasaQtoFotoIMG($id_evento, '9');
		$IMGS = explode('|', $BLOCO_IMG);

		$BLOCO_IMG = '';
		foreach ($IMGS as &$val) {
			$BLOCO_IMG .= '<a href="' . $val . '?imgmax=800" target="_blank"><img style="border:1px solid #ccc; margin-left:5px" src="' . $val . '?imgmax=68"></a>';
		}

		$site = file_get_contents('../x9/mensagens.php');

		$CAMPOS  = array(
			'[IMG_PRINCIPAL]',
			'[NOME_EMPRESA]',
			'[NOME_CLIENTE]',
			'[MENSAGEM]',
			'[QTO_AMPLIACAO]',
			'[QTO_BIOOMBO]',
			'[QTO_OUTRAS]',
			'[QTO_CAPA]',
			'[QTO_ALBUM]',
			'[BLOCO_FOTOS]',
			'[EMAIL-EMPRESA]',
			'[USUARIO_WEBSITE]'
		);
		$VALORES = array(
			$IMG_PRINCIPAL,
			$EmpresaX9->NomeFantazia,
			$nomeCliente,
			$MensAuternativa,
			$qtoAmp,
			$qtoBio,
			$qtoOut,
			$qtoCapa,
			$qtoAlbum,
			$BLOCO_IMG,
			$EmpresaX9->email,
			$website
		);

		$site = str_replace($CAMPOS, $VALORES, $site);

		// PEGA OS EMAIL DO CLIENTE
		$EventoX9->SelectEmail($id_evento);
		$contador = 0;
		while ($row = mysqli_fetch_object($EventoX9->qry)) {
			$contador++;
			$EmailX9->SendEmail($row->email, $EmpresaX9->email, $EmpresaX9->NomeFantazia, $site);
			$Producao->InsertHistorico('10', $Producao->getVerDuplicidadeProducao($id_evento), 'Vfoto', $row->email);
		}
		echo $contador;
	} // fim tem Email

}



?>